org.apache.jmeter.report.core

## Class SampleException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.jmeter.report.core.SampleException

All Implemented Interfaces:
  Serializable

    public class SampleException
    extends RuntimeException

Thrown when some sample processing occurred

Since:
  3.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SampleException()` Instantiates a new sample exception.
`SampleException(String message)` Instantiates a new sample exception with the specified message.
`SampleException(String message, Throwable cause)` Instantiates a new sample exception.
`SampleException(Throwable cause)` Instantiates a new sample exception.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SampleException

    public SampleException()

Instantiates a new sample exception.

#### SampleException

    public SampleException(String message)

Instantiates a new sample exception with the specified message.

Parameters:
  `message` - the message

#### SampleException

    public SampleException(Throwable cause)

Instantiates a new sample exception.

Parameters:
  `cause` - the cause

#### SampleException

    public SampleException(String message,
                           Throwable cause)

Instantiates a new sample exception.

Parameters:
  `message` - the message
  `cause` - the cause